Package org.apache.sysds.runtime.controlprogram.parfor.opt

## Enum OptNode.ParamType

- java.lang.Object
- - java.lang.Enum<OptNode.ParamType>
  - - org.apache.sysds.runtime.controlprogram.parfor.opt.OptNode.ParamType

- All Implemented Interfaces:
    `Serializable`, `Comparable<OptNode.ParamType>`
  Enclosing class:
    OptNode

      public static enum OptNode.ParamType
      extends Enum<OptNode.ParamType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DATA_PARTITION_COND` |
    `DATA_PARTITION_COND_MEM` |
    `DATA_PARTITION_FORMAT` |
    `DATA_PARTITIONER` |
    `NUM_ITERATIONS` |
    `OPSTRING` |
    `RECURSIVE_CALL` |
    `RESULT_MERGE` |
    `TASK_PARTITIONER` |
    `TASK_SIZE` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static OptNode.ParamType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static OptNode.ParamType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OPSTRING

          public static final OptNode.ParamType OPSTRING

    - #### TASK_PARTITIONER

          public static final OptNode.ParamType TASK_PARTITIONER

    - #### TASK_SIZE

          public static final OptNode.ParamType TASK_SIZE

    - #### DATA_PARTITIONER

          public static final OptNode.ParamType DATA_PARTITIONER

    - #### DATA_PARTITION_FORMAT

          public static final OptNode.ParamType DATA_PARTITION_FORMAT

    - #### DATA_PARTITION_COND

          public static final OptNode.ParamType DATA_PARTITION_COND

    - #### DATA_PARTITION_COND_MEM

          public static final OptNode.ParamType DATA_PARTITION_COND_MEM

    - #### RESULT_MERGE

          public static final OptNode.ParamType RESULT_MERGE

    - #### NUM_ITERATIONS

          public static final OptNode.ParamType NUM_ITERATIONS

    - #### RECURSIVE_CALL

          public static final OptNode.ParamType RECURSIVE_CALL

  - ### Method Detail

    - #### values

          public static OptNode.ParamType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OptNode.ParamType c : OptNode.ParamType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OptNode.ParamType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null